Loading...
Searching...
No Matches
CPlusPlusMangle.h File Reference

A simple function to get a C++ mangled function name for a function. More...

`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::string | Halide::Internal::cplusplus_function_mangled_name (const std::string &name, const std::vector< std::string > &namespaces, Type return_type, const std::vector< ExternFuncArgument > &args, const Target &target)
| Return the mangled C++ name for a function.
void | Halide::Internal::cplusplus_mangle_test ()

## Detailed Description

A simple function to get a C++ mangled function name for a function.

Definition in file CPlusPlusMangle.h.